package io.scanbot.sdk.reactnative

import com.facebook.react.ReactPackage
import com.facebook.react.bridge.NativeModule
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.uimanager.ViewManager
import io.scanbot.sdk.reactnative.components.barcode_scanner_view.ScanbotBarcodeScannerViewManager


class ScanbotSDKPackage : ReactPackage {

    override fun createNativeModules(reactContext: ReactApplicationContext): List<NativeModule> {
        return listOf(ScanbotSDKModule(reactContext), ScanbotSDKUIModule(reactContext))
    }

    override fun createViewManagers(reactContext: ReactApplicationContext): List<ViewManager<*, *>> {
        val viewManagers: MutableList<ViewManager<*, *>> = ArrayList()
        viewManagers.add(ScanbotBarcodeScannerViewManager())

        return viewManagers
    }
}
