package io.scanbot.sdk.reactnative

import com.facebook.react.bridge.Promise
import io.scanbot.sdk.reactnative.extensions.toWritableMap
import io.scanbot.sdk_wrapper.interfaces.SBResultDelegate
import org.json.JSONObject

class ScanbotSDKPluginResultDelegate(private val promise: Promise) : SBResultDelegate {

    override fun didResolvePromise(resultAsJSON: JSONObject) {
        try {
            promise.resolve(resultAsJSON.toWritableMap())
        } catch (ex: Exception) {
            promise.reject(ex)
        }
    }

    override fun didRejectPromise(errorAsJSON: JSONObject) {
        promise.reject(Exception(errorAsJSON.getString("message")))
    }
}
