"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BarcodeScannerResult = void 0;
var _BarcodeItem = require("../barcode/BarcodeItem");
var _utils = require("../../utils");
/**
Results of the barcode scan.
*/
class BarcodeScannerResult extends _utils.PartiallyConstructible {
  /**
    Recognized barcode items.
    */
  items = [];

  /** @param source {@displayType `DeepPartial<BarcodeScannerResult>`} */
  constructor(source = {}) {
    super();
    if (source.items !== undefined) {
      this.items = source.items.map(it => new _BarcodeItem.BarcodeItem(it));
    }
  }
}
exports.BarcodeScannerResult = BarcodeScannerResult;
//# sourceMappingURL=BarcodeResult.js.map