"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BarcodeUseCase = void 0;
var _FindAndPickScanningModeUseCase = require("../barcode/FindAndPickScanningModeUseCase");
var _MultipleScanningModeUseCase = require("../barcode/MultipleScanningModeUseCase");
var _SingleScanningModeUseCase = require("../barcode/SingleScanningModeUseCase");
/** @internal */
let BarcodeUseCase = exports.BarcodeUseCase = void 0;
(function (_BarcodeUseCase) {
  function From(source) {
    const _type = source._type;
    switch (_type) {
      case 'SingleScanningMode':
        return new _SingleScanningModeUseCase.SingleScanningMode(source);
      case 'MultipleScanningMode':
        return new _MultipleScanningModeUseCase.MultipleScanningMode(source);
      case 'FindAndPickScanningMode':
        return new _FindAndPickScanningModeUseCase.FindAndPickScanningMode(source);
      default:
        throw `Unknown child class name: ${_type}`;
    }
  }
  _BarcodeUseCase.From = From;
})(BarcodeUseCase || (exports.BarcodeUseCase = BarcodeUseCase = {}));
//# sourceMappingURL=BarcodeUseCase.js.map