"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CroppingResult = void 0;
var _utils = require("../../utils");
/**
Configuration of the cropping result.
*/
class CroppingResult extends _utils.PartiallyConstructible {
  /**
    The UUID of the document that was cropped.
    */

  /**
    The UUID of the page of the document that was cropped.
    */

  /**
    The error message if a problem occurred.
    */

  /** @param source {@displayType `DeepPartial<CroppingResult>`} */
  constructor(source = {}) {
    super();
    if (source.documentUuid !== undefined) {
      this.documentUuid = source.documentUuid;
    } else {
      throw new Error('documentUuid must be present in constructor argument');
    }
    if (source.pageUuid !== undefined) {
      this.pageUuid = source.pageUuid;
    } else {
      throw new Error('pageUuid must be present in constructor argument');
    }
    if (source.errorMessage !== undefined) {
      this.errorMessage = source.errorMessage != null ? source.errorMessage : null;
    } else {
      throw new Error('errorMessage must be present in constructor argument');
    }
  }
}
exports.CroppingResult = CroppingResult;
//# sourceMappingURL=CroppingResult.js.map