import { BarcodeItem } from '../barcode/BarcodeItem';
import { PartiallyConstructible } from '../../utils';
/**
Results of the barcode scan.
*/
export class BarcodeScannerResult extends PartiallyConstructible {
  /**
    Recognized barcode items.
    */
  items = [];

  /** @param source {@displayType `DeepPartial<BarcodeScannerResult>`} */
  constructor(source = {}) {
    super();
    if (source.items !== undefined) {
      this.items = source.items.map(it => new BarcodeItem(it));
    }
  }
}
//# sourceMappingURL=BarcodeResult.js.map