import { FindAndPickScanningMode } from '../barcode/FindAndPickScanningModeUseCase';
import { MultipleScanningMode } from '../barcode/MultipleScanningModeUseCase';
import { SingleScanningMode } from '../barcode/SingleScanningModeUseCase';
/** @internal */
export let BarcodeUseCase;
(function (_BarcodeUseCase) {
  function From(source) {
    const _type = source._type;
    switch (_type) {
      case 'SingleScanningMode':
        return new SingleScanningMode(source);
      case 'MultipleScanningMode':
        return new MultipleScanningMode(source);
      case 'FindAndPickScanningMode':
        return new FindAndPickScanningMode(source);
      default:
        throw `Unknown child class name: ${_type}`;
    }
  }
  _BarcodeUseCase.From = From;
})(BarcodeUseCase || (BarcodeUseCase = {}));
//# sourceMappingURL=BarcodeUseCase.js.map