import { DeepPartial, PartiallyConstructible } from '../utils';
import { PageData } from '../document/PageData';
/**
Document Data
*/
export declare class DocumentData extends PartiallyConstructible {
    /**
      The unique identifier of the document
      */
    readonly uuid: string;
    /**
      The creation timestamp of the document
      */
    readonly creationTimestamp: number;
    /**
      The list of pages
      */
    readonly pages: PageData[];
    /**
      The maximum size of the document image
      Default is 0
      */
    readonly documentImageSizeLimit: number;
    /**
      The URI of the default destination location for PDF rendering.
      */
    readonly pdfURI: string;
    /**
      The URI of the default destination location for TIFF rendering.
      */
    readonly tiffURI: string;
    /** @param source {@displayType `DeepPartial<DocumentData>`} */
    constructor(source?: DeepPartial<DocumentData>);
}
//# sourceMappingURL=DocumentData.d.ts.map