/**
The status of the document detection.

- `OK`:
   A document has been detected successfully.
- `OK_BUT_TOO_SMALL`:
   A document has been detected but it is too small.
- `OK_BUT_BAD_ANGLES`:
   A document has been detected but it has bad angles.
- `OK_BUT_BAD_ASPECT_RATIO`:
   A document has been detected but it has a bad aspect ratio.
- `OK_BUT_OFF_CENTER`:
   A document has been detected but its center is too far off.
- `ERROR_NOTHING_DETECTED`:
   No document has been detected.
- `ERROR_TOO_DARK`:
   No document has been detected, the image might be too dark.
- `ERROR_TOO_NOISY`:
   No document has been detected, the image might be too noisy.
*/
export type DocumentDetectionStatus = 'OK' | 'OK_BUT_TOO_SMALL' | 'OK_BUT_BAD_ANGLES' | 'OK_BUT_BAD_ASPECT_RATIO' | 'OK_BUT_OFF_CENTER' | 'ERROR_NOTHING_DETECTED' | 'ERROR_TOO_DARK' | 'ERROR_TOO_NOISY';
//# sourceMappingURL=DocumentDetectionStatus.d.ts.map