import { BarcodeFormat } from '../barcode/BarcodeRecognizerConfiguration';
import { DeepPartial, PartiallyConstructible } from '../../utils';
import { GenericDocument } from '../../documents/GenericDocument';
/**
Data about the scanned barcode.
*/
export declare class BarcodeItem extends PartiallyConstructible {
    /**
      Recognized barcode symbology.
      */
    readonly type: BarcodeFormat | null;
    /**
      Number of recognized barcodes of this symbology and value.
      */
    readonly count: number;
    /**
      Recognized value of the barcode.
      */
    readonly text: string;
    /**
      Recognized barcode value with extension (if available).
      */
    readonly textWithExtension: string;
    /**
      Representation of the raw data that is contained the recognized barcode.
      */
    readonly rawBytes: string;
    /**
      The parsed known document format (if parsed successfully).
      */
    readonly parsedDocument: GenericDocument | null;
    /** @param source {@displayType `DeepPartial<BarcodeItem>`} */
    constructor(source?: DeepPartial<BarcodeItem>);
}
//# sourceMappingURL=BarcodeItem.d.ts.map