import { DeepPartial, PartiallyConstructible } from '../../utils';
/**
Configuration of the all strings for barcode scanner.
*/
export declare class BarcodeTextLocalization extends PartiallyConstructible {
    /**
      Title for the camera permission dialog.
      Default is "Camera permission denied!"
      */
    cameraPermissionEnableCameraTitle: string;
    /**
      Explanation for the camera permission dialog.
      Default is "Please allow the usage of the camera to start the scanning process."
      */
    cameraPermissionEnableCameraExplanation: string;
    /**
      Button text for the camera permission dialog.
      Default is "Grant permission"
      */
    cameraPermissionEnableCameraButton: string;
    /**
      Close button text for the camera permission dialog.
      Default is "Close"
      */
    cameraPermissionCloseButton: string;
    /**
      Cancel button text for the top bar.
      Default is "Cancel"
      */
    topBarCancelButton: string;
    /**
      Title for the top bar.
      Default is "Scan Item"
      */
    topBarTitle: string;
    /**
      User guidance text.
      Default is "Move the finder over a barcode"
      */
    userGuidance: string;
    /**
      Loading message for barcode info mapping.
      Default is "Loading details..."
      */
    barcodeInfoMappingLoadingMessage: string;
    /**
      Title for the barcode info mapping error state.
      Default is "Connection Error!"
      */
    barcodeInfoMappingErrorStateTitle: string;
    /**
      Subtitle for the barcode info mapping error state.
      Default is "There was an issue and the data requested was not fetched. You could try again or discard this result to start a new scan."
      */
    barcodeInfoMappingErrorStateSubtitle: string;
    /**
      Retry button text for the barcode info mapping error state.
      Default is "Retry"
      */
    barcodeInfoMappingErrorStateRetryButton: string;
    /**
      Cancel button text for the barcode info mapping error state.
      Default is "Cancel"
      */
    barcodeInfoMappingErrorStateCancelButton: string;
    /**
      Title for the manual count edit dialog.
      Default is "Update count"
      */
    manualCountEditDialogTitle: string;
    /**
      Info for the manual count edit dialog.
      Default is "Adjust the number of items you scanned."
      */
    manualCountEditDialogInfo: string;
    /**
      Update button text for the manual count edit dialog.
      Default is "Update"
      */
    manualCountEditDialogUpdateButton: string;
    /**
      Cancel button text for the manual count edit dialog.
      Default is "Cancel"
      */
    manualCountEditDialogCancelButton: string;
    /**
      Reset button text for the barcode sheet.
      Default is "Reset"
      */
    sheetResetButton: string;
    /**
      Clear all button text for the barcode sheet.
      Default is "Clear all"
      */
    sheetClearAllButton: string;
    /**
      Submit button text for the barcode sheet.
      Default is "Submit"
      */
    sheetSubmitButton: string;
    /**
      Start scanning button text for the barcode sheet.
      Default is "Start scanning"
      */
    sheetStartScanningButton: string;
    /**
      Title for the barcode sheet placeholder.
      Default is "No barcodes here!"
      */
    sheetPlaceholderTitle: string;
    /**
      Subtitle for the barcode sheet placeholder.
      Default is "The barcode list is currently empty. Close this sheet and scan your items to add them."
      */
    sheetPlaceholderSubtitle: string;
    /**
      Cancel button text for the single mode confirmation dialog.
      Default is "Close"
      */
    singleModeConfirmationCancelButton: string;
    /**
      Title for the multiple mode barcode sheet.
      Default is "%d items"
      */
    multipleModeSheetTitle: string;
    /**
      Title for the find and pick barcode sheet.
      Default is "%d/%d scanned"
      */
    findAndPickSheetTitle: string;
    /**
      Subtitle for the find and pick barcode sheet.
      Default is "%d/%d added"
      */
    findAndPickSheetBarcodeItemSubtitle: string;
    /**
      Title for the find and pick partial alert.
      Default is "Incomplete scan!"
      */
    findAndPickPartialAlertTitle: string;
    /**
      Subtitle for the find and pick partial alert.
      Default is "Some codes are yet to be scanned. Proceed with submission anyway?"
      */
    findAndPickPartialAlertSubtitle: string;
    /**
      Cancel button text for the find and pick partial alert.
      Default is "Cancel"
      */
    findAndPickPartialAlertCancelButton: string;
    /**
      Submit button text for the find and pick partial alert.
      Default is "Yes, Submit"
      */
    findAndPickPartialAlertSubmitButton: string;
    /**
      Title for the find and pick complete alert.
      Default is "All codes found!"
      */
    findAndPickCompleteAlertTitle: string;
    /**
      Subtitle for the find and pick complete alert.
      Default is "You have successfully scanned all codes. Proceed with submission?"
      */
    findAndPickCompleteAlertSubtitle: string;
    /**
      Cancel button text for the find and pick complete alert.
      Default is "Dismiss"
      */
    findAndPickCompleteAlertCancelButton: string;
    /**
      Submit button text for the find and pick complete alert.
      Default is "Submit"
      */
    findAndPickCompleteAlertSubmitButton: string;
    /** @param source {@displayType `DeepPartial<BarcodeTextLocalization>`} */
    constructor(source?: DeepPartial<BarcodeTextLocalization>);
}
//# sourceMappingURL=BarcodeTextLocalization.d.ts.map