import { ButtonConfiguration } from '../common/Common';
import { DeepPartial, PartiallyConstructible } from '../../utils';
import { StyledText } from '../common/Common';
/**
Configuration of the the standard alert dialog.
*/
export declare class ScanbotAlertDialog extends PartiallyConstructible {
    /**
      The title displayed above the message.
      */
    title: StyledText;
    /**
      The explanation message.
      */
    subtitle: StyledText;
    /**
      The background color of the alert dialog.
      Default is "?sbColorSurface"
      */
    sheetColor: string;
    /**
      The dialog overlay color.
      Default is "?sbColorModalOverlay"
      */
    modalOverlayColor: string;
    /**
      The color of the divider line.
      Default is "?sbColorOutline"
      */
    dividerColor: string;
    /**
      Configuration of the 'OK' button.
      */
    okButton: ButtonConfiguration;
    /**
      Configuration of the middle button for dialogs with tree buttons.
      */
    actionButton: ButtonConfiguration;
    /**
      Configuration of the 'cancel' button.
      */
    cancelButton: ButtonConfiguration;
    /** @param source {@displayType `DeepPartial<ScanbotAlertDialog>`} */
    constructor(source?: DeepPartial<ScanbotAlertDialog>);
}
//# sourceMappingURL=ScanbotAlertDialog.d.ts.map