import { DeepPartial, PartiallyConstructible } from '../../utils';
/**
Configuration of the cropping result.
*/
export declare class CroppingResult extends PartiallyConstructible {
    /**
      The UUID of the document that was cropped.
      */
    readonly documentUuid: string;
    /**
      The UUID of the page of the document that was cropped.
      */
    readonly pageUuid: string;
    /**
      The error message if a problem occurred.
      */
    readonly errorMessage: string | null;
    /** @param source {@displayType `DeepPartial<CroppingResult>`} */
    constructor(source?: DeepPartial<CroppingResult>);
}
//# sourceMappingURL=CroppingResult.d.ts.map