import { BarButtonConfiguration } from '../common/Common';
import { ButtonConfiguration } from '../common/Common';
import { DeepPartial, PartiallyConstructible } from '../../utils';
import { StyledText } from '../common/Common';
/**
Configuration of the bottom bar for the cropping screen.
*/
export declare class CroppingBottomBar extends PartiallyConstructible {
    /**
      Configuration of the 'detect document' button, located in the bottom bar.
      */
    detectButton: BarButtonConfiguration;
    /**
      Configuration of the 'rotate page' button, located in the bottom bar.
      */
    rotateButton: BarButtonConfiguration;
    /**
      Configuration of the 'reset detection' button, located in the bottom bar.
      */
    resetButton: BarButtonConfiguration;
    /** @param source {@displayType `DeepPartial<CroppingBottomBar>`} */
    constructor(source?: DeepPartial<CroppingBottomBar>);
}
/**
Configuration of the screen for cropping the scanned pages.
*/
export declare class CroppingScreenConfiguration extends PartiallyConstructible {
    /**
      Configuration of the 'cancel' button, located in the top bar.
      */
    topBarBackButton: ButtonConfiguration;
    /**
      Configuration of the title, located in the top bar.
      */
    topBarTitle: StyledText;
    /**
      Configuration of the 'confirm' button, located in the top bar.
      */
    topBarConfirmButton: ButtonConfiguration;
    /**
      The background color of the cropping screen.
      Default is "?sbColorOutline"
      */
    backgroundColor: string;
    /**
      The color of the cropping handles.
      Default is "?sbColorSurface"
      */
    croppingHandlerColor: string;
    /**
      The color of the cropping polygon.
      Default is "?sbColorSurface"
      */
    croppingPolygonColor: string;
    /**
      Configuration of the bottom bar for the cropping screen.
      */
    bottomBar: CroppingBottomBar;
    /** @param source {@displayType `DeepPartial<CroppingScreenConfiguration>`} */
    constructor(source?: DeepPartial<CroppingScreenConfiguration>);
}
//# sourceMappingURL=CroppingScreenConfiguration.d.ts.map