import { DeepPartial, PartiallyConstructible } from '../../utils';
/**
Configuration of all the strings for the standalone cropping screen.
*/
export declare class CroppingTextLocalization extends PartiallyConstructible {
    /**
      The cropping progress overlay title.
      Default is "Please wait..."
      */
    cameraProgressOverlayTitle: string;
    /**
      The 'cancel' button title, located in the top bar of the cropping screen.
      Default is "Cancel"
      */
    croppingTopBarCancelButtonTitle: string;
    /**
      The 'confirm' button title, located in the top bar of the cropping screen.
      Default is "Done"
      */
    croppingTopBarConfirmButtonTitle: string;
    /**
      The 'detect document' button title, located in the bottom bar of the cropping screen.
      Default is "Detect"
      */
    croppingDetectButtonTitle: string;
    /**
      The 'rotate page' button title, located in the bottom bar of the cropping screen.
      Default is "Rotate"
      */
    croppingRotateButtonTitle: string;
    /**
      The 'reset detection' button title, located in the bottom bar of the cropping screen.
      Default is "Reset"
      */
    croppingResetButtonTitle: string;
    /**
      The cropping screen title, located in the top bar.
      Default is "Crop"
      */
    croppingScreenTitle: string;
    /**
      The accessibility hint for the 'confirm' button, located in the top bar of the cropping screen.
      Default is "Tap to apply changes"
      */
    accessibilityDescriptionCroppingTopBarConfirmButton: string;
    /**
      The accessibility hint for the 'cancel' button, located in the top bar of the cropping screen.
      Default is "Tap to close screen without applying changes"
      */
    accessibilityDescriptionCroppingTopBarCancelButton: string;
    /**
      The accessibility hint for the 'detect document' button, located in the bottom bar of the cropping screen.
      Default is "Tap to detect document on the image"
      */
    accessibilityDescriptionCroppingDetectButton: string;
    /**
      The accessibility hint for the 'rotate page' button, located in the bottom bar of the cropping screen.
      Default is "Tap to rotate document"
      */
    accessibilityDescriptionCroppingRotateButton: string;
    /**
      The accessibility hint for the 'reset detection' button, located in the bottom bar of the cropping screen.
      Default is "Tap to reset document contour to whole image"
      */
    accessibilityDescriptionCroppingResetButton: string;
    /** @param source {@displayType `DeepPartial<CroppingTextLocalization>`} */
    constructor(source?: DeepPartial<CroppingTextLocalization>);
}
//# sourceMappingURL=CroppingTextLocalization.d.ts.map