import { ResultWrapper } from '../customTypes';
import { BarcodeScannerConfiguration } from './barcode/BarcodeScannerConfiguration';
import { BarcodeScannerResult } from './barcode/BarcodeResult';
import { DocumentScanningFlow } from './document/DocumentScanningFlow';
import { DocumentData } from '../document/DocumentData';
import { CroppingConfiguration } from './document/CroppingConfiguration';
/**
 * Opens the Ready-To-Use UI screen for scanning Barcodes and QR-Codes with the desired configuration.
 */
export declare function startBarcodeScanner(config: BarcodeScannerConfiguration): Promise<ResultWrapper<BarcodeScannerResult>>;
/**
 * Opens the Ready-To-Use UI Document Scanner screen with the desired configuration.
 */
export declare function startDocumentScanner(config: DocumentScanningFlow): Promise<ResultWrapper<DocumentData>>;
/**
 * Opens the Ready-To-Use UI Cropping screen with the desired configuration.
 */
export declare function startCroppingScreen(config: CroppingConfiguration): Promise<ResultWrapper<DocumentData>>;
export * from './barcode/ArTrackingOverlayConfiguration';
export * from './barcode/BarcodeInfoMapping';
export * from './barcode/BarcodeItem';
export * from './barcode/BarcodeRecognizerConfiguration';
export * from './barcode/BarcodeResult';
export * from './barcode/BarcodeScannerConfiguration';
export * from './barcode/BarcodeTextLocalization';
export * from './barcode/BarcodeUseCase';
export * from './barcode/FindAndPickScanningModeUseCase';
export * from './barcode/MultipleScanningModeUseCase';
export * from './barcode/SingleScanningModeUseCase';
export * from './common/ActionBarConfiguration';
export * from './common/CameraConfiguration';
export * from './common/CameraPermission';
export * from './common/Common';
export * from './common/NavigationBarConfiguration';
export * from './common/ScanbotAlertDialog';
export * from './common/TopBarConfiguration';
export * from './common/UserGuidanceConfiguration';
export * from './common/ViewFinderConfiguration';
export * from './document/AcknowledgementScreenConfiguration';
export * from './document/CameraScreenConfiguration';
export * from './document/CroppingConfiguration';
export * from './document/CroppingScreenConfiguration';
export * from './document/CroppingTextLocalization';
export * from './document/DocumentScannerCameraConfiguration';
export * from './document/DocumentScannerGuidanceVisibility';
export * from './document/DocumentScannerOutputSettings';
export * from './document/DocumentScannerScreens';
export * from './document/DocumentScannerTextLocalization';
export * from './document/DocumentScannerUserGuidance';
export * from './document/DocumentScanningFlow';
export * from './document/IntroductionScreenConfiguration';
export * from './document/ReorderPagesScreenConfiguration';
export * from './document/ReviewScreenConfiguration';
export * from './BarcodeItemMapper';
//# sourceMappingURL=index.d.ts.map