"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withLargeHeap = void 0;
const config_plugins_1 = require("@expo/config-plugins");
const withLargeHeap = (config, { largeHeap } = {}) => {
    if (largeHeap) {
        config = (0, config_plugins_1.withAndroidManifest)(config, (prop) => {
            const { manifest } = prop.modResults;
            const attributes = manifest.application?.find((item) => item.$);
            if (attributes) {
                attributes.$['android:largeHeap'] = 'true';
            }
            else {
                config_plugins_1.WarningAggregator.addWarningAndroid('react-native-scanbot-sdk', 'Could not add android:largeHeap to Android Manifest');
            }
            return prop;
        });
    }
    return config;
};
exports.withLargeHeap = withLargeHeap;
