"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_plugins_1 = require("@expo/config-plugins");
const withIOSCameraPermission_1 = require("./withIOSCameraPermission");
const withLargeHeap_1 = require("./withLargeHeap");
const withOCRAssets_1 = require("./withOCRAssets");
const withAndroidMavenURLs_1 = require("./withAndroidMavenURLs");
const pkg = require('../../package.json');
const withScanbotSDK = (config, props = {}) => {
    return (0, config_plugins_1.withPlugins)(config, [
        [withIOSCameraPermission_1.withIOSCameraPermission, props],
        [withLargeHeap_1.withLargeHeap, props],
        [withOCRAssets_1.withAssets, props],
        [withAndroidMavenURLs_1.withAndroidMavenURLs, props],
    ]);
};
exports.default = (0, config_plugins_1.createRunOncePlugin)(withScanbotSDK, pkg.name, pkg.version);
