import { ConfigPlugin, withInfoPlist } from '@expo/config-plugins';
import { ScanbotConfigPlugin } from './pluginTypes';

export const withIOSCameraPermission: ConfigPlugin<
  Pick<ScanbotConfigPlugin, 'iOSCameraUsageDescription'>
> = (config, { iOSCameraUsageDescription } = {}) => {
  if (iOSCameraUsageDescription) {
    config = withInfoPlist(config, (infoPlistProps) => {
      infoPlistProps.modResults.NSCameraUsageDescription = iOSCameraUsageDescription;
      return infoPlistProps;
    });
  }

  return config;
};
