import { DeepPartial, PartiallyConstructible } from '../utils';

/**
The result of the document quality check.

- `NO_DOCUMENT`:
   No document found.
- `VERY_POOR`:
   Very poor document quality.
- `POOR`:
   Poor document quality.
- `REASONABLE`:
   Reasonable document quality.
- `GOOD`:
   Good document quality.
- `EXCELLENT`:
   Excellent document quality.
*/
export type DocumentQuality =
  | 'NO_DOCUMENT'
  | 'VERY_POOR'
  | 'POOR'
  | 'REASONABLE'
  | 'GOOD'
  | 'EXCELLENT';
