import { DeepPartial, PartiallyConstructible } from '../utils';

/**
The source of an image.

- `UNDEFINED`:
   The source of the image is not known.
- `MANUAL_SNAP`:
   The image was captured manually.
- `AUTO_SNAP`:
   The image was captured automatically.
- `CAMERA_FRAME`:
   The image originates from a camera video frame.
- `IMPORTED`:
   The image originates from the photo/media gallery.
*/
export type PageImageSource =
  | 'UNDEFINED'
  | 'MANUAL_SNAP'
  | 'AUTO_SNAP'
  | 'CAMERA_FRAME'
  | 'IMPORTED';
