import { AcknowledgementBottomBar } from '../document/AcknowledgementScreenConfiguration';
import { AcknowledgementMode } from '../document/AcknowledgementScreenConfiguration';
import { AcknowledgementScreenConfiguration } from '../document/AcknowledgementScreenConfiguration';
import { AspectRatio } from '../common/Common';
import { BackgroundStyle } from '../common/Common';
import { BadgeStyle } from '../common/Common';
import { BarButtonConfiguration } from '../common/Common';
import { ButtonConfiguration } from '../common/Common';
import { CameraBottomBar } from '../document/CameraScreenConfiguration';
import { CameraModule } from '../common/CameraConfiguration';
import { CameraPermissionScreen } from '../common/CameraPermission';
import { CameraPreviewMode } from '../common/Common';
import { CameraScreenConfiguration } from '../document/CameraScreenConfiguration';
import { CaptureFeedback } from '../document/CameraScreenConfiguration';
import { CapturePhotoQualityPrioritization } from '../document/DocumentScannerCameraConfiguration';
import { CheckIntroImage } from '../document/IntroductionScreenConfiguration';
import { CreditCardIntroImage } from '../document/IntroductionScreenConfiguration';
import { CroppingBottomBar } from '../document/CroppingScreenConfiguration';
import { CroppingScreenConfiguration } from '../document/CroppingScreenConfiguration';
import { CustomImage } from '../document/IntroductionScreenConfiguration';
import { DeepPartial, PartiallyConstructible } from '../../utils';
import { DocumentIntroImage } from '../document/IntroductionScreenConfiguration';
import { DocumentPolygonConfiguration } from '../document/CameraScreenConfiguration';
import { DocumentQuality } from '../../document/DocumentQuality';
import { DocumentScannerCameraConfiguration } from '../document/DocumentScannerCameraConfiguration';
import { DocumentScannerUserGuidance } from '../document/DocumentScannerUserGuidance';
import { FinderCorneredStyle } from '../common/ViewFinderConfiguration';
import { FinderStrokedStyle } from '../common/ViewFinderConfiguration';
import { FinderStyle } from '../common/ViewFinderConfiguration';
import { ForegroundStyle } from '../common/Common';
import { IconButton } from '../common/Common';
import { IconStyle } from '../common/Common';
import { IconUserGuidanceConfiguration } from '../common/UserGuidanceConfiguration';
import { IdCardIntroImage } from '../document/IntroductionScreenConfiguration';
import { IntroImage } from '../document/IntroductionScreenConfiguration';
import { IntroListEntry } from '../document/IntroductionScreenConfiguration';
import { IntroductionScreenConfiguration } from '../document/IntroductionScreenConfiguration';
import { MedicalCertificateIntroImage } from '../document/IntroductionScreenConfiguration';
import { NoButtonMode } from '../document/CameraScreenConfiguration';
import { NoIntroImage } from '../document/IntroductionScreenConfiguration';
import { PagePreviewMode } from '../document/CameraScreenConfiguration';
import { PageSnapCheckMarkAnimation } from '../document/CameraScreenConfiguration';
import { PageSnapFeedbackMode } from '../document/CameraScreenConfiguration';
import { PageSnapFeedbackNone } from '../document/CameraScreenConfiguration';
import { PageSnapFunnelAnimation } from '../document/CameraScreenConfiguration';
import { PolygonStyle } from '../common/Common';
import { PopupMenuItem } from '../common/Common';
import { PreviewButton } from '../document/CameraScreenConfiguration';
import { ReceiptsIntroImage } from '../document/IntroductionScreenConfiguration';
import { ReorderPagesScreenConfiguration } from '../document/ReorderPagesScreenConfiguration';
import { ReviewBottomBarConfiguration } from '../document/ReviewScreenConfiguration';
import { ReviewMorePopupMenu } from '../document/ReviewScreenConfiguration';
import { ReviewScreenConfiguration } from '../document/ReviewScreenConfiguration';
import { RoundButton } from '../common/Common';
import { ScanAssistanceOverlay } from '../document/CameraScreenConfiguration';
import { ScanbotAlertDialog } from '../common/ScanbotAlertDialog';
import { ShutterButton } from '../document/CameraScreenConfiguration';
import { StatusBarMode } from '../common/TopBarConfiguration';
import { StyledText } from '../common/Common';
import { TextButtonMode } from '../document/CameraScreenConfiguration';
import { Timeouts } from '../common/Common';
import { UserGuidanceConfiguration } from '../common/UserGuidanceConfiguration';
import { UserGuidanceStates } from '../document/DocumentScannerUserGuidance';
import { UserGuidanceVisibility } from '../document/DocumentScannerGuidanceVisibility';
import { Vibration } from '../common/Common';
import { ViewFinderConfiguration } from '../common/ViewFinderConfiguration';
import { ZoomOverlay } from '../document/ReviewScreenConfiguration';

/**
Configuration of the document scanner sub-screens.
*/
export class DocumentScannerScreens extends PartiallyConstructible {
  /**
    Configuration of the screen for scanning the pages with the camera.
    */
  public camera: CameraScreenConfiguration = new CameraScreenConfiguration({});
  /**
    Configuration of the screen for reviewing the scanned pages.
    */
  public review: ReviewScreenConfiguration = new ReviewScreenConfiguration({});
  /**
    Configuration of the screen for cropping the scanned pages.
    */
  public cropping: CroppingScreenConfiguration = new CroppingScreenConfiguration({});
  /**
    Configuration of the screen for reordering the scanned pages.
    */
  public reorderPages: ReorderPagesScreenConfiguration = new ReorderPagesScreenConfiguration({});

  /** @param source {@displayType `DeepPartial<DocumentScannerScreens>`} */
  public constructor(source: DeepPartial<DocumentScannerScreens> = {}) {
    super();
    if (source.camera !== undefined) {
      this.camera = new CameraScreenConfiguration(source.camera);
    }
    if (source.review !== undefined) {
      this.review = new ReviewScreenConfiguration(source.review);
    }
    if (source.cropping !== undefined) {
      this.cropping = new CroppingScreenConfiguration(source.cropping);
    }
    if (source.reorderPages !== undefined) {
      this.reorderPages = new ReorderPagesScreenConfiguration(source.reorderPages);
    }
  }
}
